# DomainShare (ARX GUI Documentation)

org.deidentifier.arx.metric.v2

## Interface DomainShare

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    DomainShareInterval, DomainShareMaterialized, DomainShareRedaction

      public interface DomainShare
      extends java.io.Serializable

  Base interface for domain shares.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DomainShare` | `clone()` Clones the share
    `double` | `getDomainSize()` Returns the size of the domain.
    `double` | `getShare(int value, int level)` Returns the share of the given value.

- - ### Method Detail

    - #### clone

          DomainShare clone()

      Clones the share
      Returns:

    - #### getDomainSize

          double getDomainSize()

      Returns the size of the domain.
      Returns:

    - #### getShare

          double getShare(int value,
                        int level)

      Returns the share of the given value.
      Parameters:
        `value` -
        `level` -
      Returns: